Subject: bug#15052: closed (Re: bug#15052: guix-0.3 make check fails, on gentoo-prefix setup)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 30 Aug 2013 09:53:02 +0000

Your bug report

#15052: guix-0.3 make check fails, on gentoo-prefix setup

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15052: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15052
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15052: guix-0.3 make check fails, on gentoo-prefix setup
From: [email-masked] (Ludovic Courtès)
To: Cyprien Nicolas <[email-masked]>
Cc: [email-masked]
Date: Fri, 30 Aug 2013 11:52:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Cyprien Nicolas <[email-masked]> skribis:

> Il y a 14 jours, Ludovic Courtès écrivit :
>
>> Hi!
>>
>> Cyprien Nicolas <[email-masked]> skribis:
>>
>> > I don't understand all failures, some are due to socket path length:
>> >
>> > ERROR: In procedure connect:
>> > ERROR: In procedure scm_to_sockaddr: unix address path too long: /home/cnicolas/gprefix/var/tmp/portage/sys-apps/guix-0.3/work/guix-0.3/test-tmp/var/7770/daemon-socket/socket
>>
>> Apff, yes, that’s a problem.  Guix clients connect to the build daemon
>> over a Unix-domain socket, and that has a shameful 108 character limit
>> on GNU/Linux.  Thus, all the test cases that try to connect to the build
>> daemon fail.
>>
>> As a workaround, you could try to build in a shorter directory, if
>> that’s an option at all.
>
> Yes, I exported PORTAGE_TMPDIR=/tmp before running emerge, and all 19
> tests went fine :-)

Excellent!

BTW, if there’s a Gentoo package for Guix, you might want to send a note
on guix-devel.

Thanks,
Ludo’.

Subject: guix-0.3 make check fails, on gentoo-prefix setup
From: Cyprien Nicolas <[email-masked]>
To: [email-masked]
Date: Thu, 8 Aug 2013 23:30:03 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I tried to make an ebuild for guix for the Gentoo meta-distribution.

I don't have a full Gentoo system at the moment, but an install known
as Gentoo Prefix [1], where you install packges in your home
directory, using the regular Gentoo tools (a bit like what guix does
on another distro).  So I wrote an ebuild for guix [2] atop of Gentoo
prefix (that sounds a weird setup as I write it).

So I run an uptodate Fedora 17, amd64, with a gentoo prefix in
~/gprefix.

The compilation goes fine. Except I don't get why guix-0.3 attempts to
download guile-2.0.7.tar.xz during compilation phase, while I do have
guile-2.0.9 installed.

However, make check fails:

============================================================================
Testsuite summary for GNU Guix 0.3
============================================================================
# TOTAL: 19
# PASS:  11
# SKIP:  0
# XFAIL: 0
# FAIL:  8
# XPASS: 0
# ERROR: 0
============================================================================
See ./test-suite.log
Please report to [email-masked]
============================================================================
make[4]: *** [test-suite.log] Error 1
make[4]: Leaving directory `/home/cnicolas/gprefix/var/tmp/portage/sys-apps/guix-0.3/work/guix-0.3'
make[3]: *** [check-TESTS] Error 2
make[3]: Leaving directory `/home/cnicolas/gprefix/var/tmp/portage/sys-apps/guix-0.3/work/guix-0.3'
make[2]: *** [check-am] Error 2
make[2]: Leaving directory `/home/cnicolas/gprefix/var/tmp/portage/sys-apps/guix-0.3/work/guix-0.3'
make[1]: *** [check-recursive] Error 1
make[1]: Leaving directory `/home/cnicolas/gprefix/var/tmp/portage/sys-apps/guix-0.3/work/guix-0.3'
make: *** [check] Error 2

I join the test-suite.log (compressed) and full build log (compressed
too).

I don't understand all failures, some are due to socket path length:

ERROR: In procedure connect:
ERROR: In procedure scm_to_sockaddr: unix address path too long: /home/cnicolas/gprefix/var/tmp/portage/sys-apps/guix-0.3/work/guix-0.3/test-tmp/var/7770/daemon-socket/socket

1. http://www.gentoo.org/proj/en/gentoo-alt/prefix/
2. https://bitbucket.org/fulax/fulax-gentoo-overlay/src/61d0d4420dd1600c008173f4b5344b766f56ff49/sys-apps/guix/guix-0.3.ebuild

-- 
Cyprien/Fulax